KArrowButton Class Reference

`#include <karrowbutton.h>`

Inherits QPushButton.

## Public Slots

void | setArrowType (Qt::ArrowType a)

## Public Member Functions

| KArrowButton (QWidget *parent=0, Qt::ArrowType arrow=Qt::UpArrow, const char *name=0)
virtual | ~KArrowButton ()
virtual QSize | sizeHint () const
Qt::ArrowType | arrowType () const
int | arrowTp () const
void | setArrowTp (int tp)

## Protected Member Functions

virtual void | drawButton (QPainter *)
virtual void | virtual_hook (int id, void *data)

## Properties

int | arrowType

## Detailed Description

Draws a button with an arrow.

Draws a button which shows an arrow pointing into a certain direction. The arrow's alignment on the button depends on the direction it's pointing to, e.g. a left arrow is aligned at the left border, a upwards arrow at the top border. This class honors the currently configured KStyle when drawing the arrow.

Author
  Frerich Raabe

Definition at line 38 of file karrowbutton.h.

## Constructor & Destructor Documentation

KArrowButton::KArrowButton | ( | QWidget * | parent = `0`,
|  | Qt::ArrowType | arrow = `Qt::UpArrow`,
|  | const char * | name = `0`
| ) |  |

Constructs an arrow button.

Parameters

  parent | This button's parent
  arrow | The direction the arrrow should be pointing in
  name | An internal name for this widget

Definition at line 30 of file karrowbutton.cpp.

KArrowButton::~KArrowButton | ( |  | ) |

virtual

Destructor.

Definition at line 38 of file karrowbutton.cpp.

## Member Function Documentation

Qt::ArrowType KArrowButton::arrowType | ( |  | ) | const

Returns the arrow type.

Since
  3.4

void KArrowButton::drawButton | ( | QPainter * | p | ) |

protected virtual

Reimplemented from QPushButton.

Definition at line 60 of file karrowbutton.cpp.

void KArrowButton::setArrowType | ( | Qt::ArrowType | a | ) |

slot

Defines in what direction the arrow is pointing to.

Will repaint the button if necessary.

Parameters

  a | The direction this arrow should be pointing in

Definition at line 48 of file karrowbutton.cpp.

QSize KArrowButton::sizeHint | ( | void |  | ) | const

virtual

Reimplemented from QPushButton.

Definition at line 43 of file karrowbutton.cpp.

The documentation for this class was generated from the following files:

- karrowbutton.h
- karrowbutton.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys